﻿using AutoMapper;
using DataAccess.DTOs;
using DataAccess.DTOs.Request;
using DataAccess.DTOs.Response;
using DataAccess.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BusinessLayer.Mapping
{
    public class MappingProfile : Profile
    {
        public MappingProfile() {
            CreateMap<User, UserDTO>();
            CreateMap<UserDTO, User>();
            CreateMap<SubjectCategory, SubjectCategoryDTO>();
            CreateMap<SubjectCategoryDTO, SubjectCategory>();
            CreateMap<Subject, SubjectResponseDTO>()
                .ForMember(_ => _.CategoryName, opt => opt.MapFrom(src => src.Category.CategoryName));
            CreateMap<SubjectRequestDTO, Subject>();
            CreateMap<QuestionCategory, QuestionCategoryDTO>();
            CreateMap<QuestionCategoryDTO, QuestionCategory>();
            CreateMap<Question, QuestionResponseDTO>()
                .ForMember(_ => _.CategoryName, opt => opt.MapFrom(src => src.Category.CategoryName))
                .ForMember(_ => _.SubjectName, opt => opt.MapFrom(src => src.Subject.SubjectName));
            CreateMap<QuestionRequestDTO, Question>();
        }
    }
}
