﻿using AutoMapper;
using BusinessLayer.IRepository;
using DataAccess.DAOs;
using DataAccess.DTOs;
using DataAccess.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BusinessLayer.Repository
{
    public class QuestionCategoryRepository : IQuestionCategoryRepository
    {
        IMapper _mapper;

        public QuestionCategoryRepository(IMapper mapper)
        {
            _mapper = mapper;
        }

        public void Add(QuestionCategoryDTO questionCategoryDTO) => QuestionCategoryDAO.Instance.AddQuestionCategory(_mapper.Map<QuestionCategory>(questionCategoryDTO));

        public void Delete(int id) => QuestionCategoryDAO.Instance.RemoveQuestionCategory(id);

        public List<QuestionCategoryDTO> GetAll(int? status) => _mapper.Map<List<QuestionCategoryDTO>>(QuestionCategoryDAO.Instance.GetQuestionCategories(status));

        public QuestionCategoryDTO GetById(int id, int? status) => _mapper.Map<QuestionCategoryDTO>(QuestionCategoryDAO.Instance.GetQuestionCategory(id, status));

        public QuestionCategoryDTO GetByName(int? id, string name) => _mapper.Map<QuestionCategoryDTO>(QuestionCategoryDAO.Instance.GetQuestionCategory(id, name));

        public void Update(QuestionCategoryDTO questionCategoryDTO) => QuestionCategoryDAO.Instance.UpdateQuestionCategory(_mapper.Map<QuestionCategory>(questionCategoryDTO));
    }
}
