﻿using AutoMapper;
using BusinessLayer.IRepository;
using DataAccess.DAOs;
using DataAccess.DTOs.Request;
using DataAccess.DTOs.Response;
using DataAccess.Models;

namespace BusinessLayer.Repository
{
    public class QuestionRepository : IQuestionRepository
    {
        IMapper _mapper;

        public QuestionRepository(IMapper mapper)
        {
            _mapper = mapper;
        }

        public void Add(QuestionRequestDTO questionDTO) => QuestionDAO.Instance.AddQuestion(_mapper.Map<Question>(questionDTO));

        public void Delete(int id) => QuestionDAO.Instance.RemoveQuestion(id);

        public List<QuestionResponseDTO> GetAll() => _mapper.Map<List<QuestionResponseDTO>>(QuestionDAO.Instance.GetQuestions());

        public QuestionResponseDTO GetByContent(int? id, string content) => _mapper.Map<QuestionResponseDTO>(QuestionDAO.Instance.GetQuestion(id, content));

        public QuestionResponseDTO GetById(int id) => _mapper.Map<QuestionResponseDTO>(QuestionDAO.Instance.GetQuestion(id));

        public void Update(QuestionRequestDTO questionDTO) => QuestionDAO.Instance.UpdateQuestion(_mapper.Map<Question>(questionDTO));
    }
}
