﻿using AutoMapper;
using BusinessLayer.IRepository;
using DataAccess.DAOs;
using DataAccess.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BusinessLayer.Repository
{
    public class SubjectCategoryRepository : ISubjectCategoryRepository
    {
        IMapper _mapper;

        public SubjectCategoryRepository(IMapper mapper)
        {
            _mapper = mapper;
        }

        public void Add(SubjectCategoryDTO subjectCategoryDTO) => SubjectCategoryDAO.Instance.AddSubjectCategory(_mapper.Map<SubjectCategory>(subjectCategoryDTO));

        public void Delete(int id) => SubjectCategoryDAO.Instance.RemoveSubjectCategory(id);

        public List<SubjectCategory> GetAll(int? status) => SubjectCategoryDAO.Instance.GetSubjectCategories(status);

        public SubjectCategory GetById(int id, int? status) => SubjectCategoryDAO.Instance.GetSubjectCategory(id, status);

        public SubjectCategory GetByName(int? id, string name) => SubjectCategoryDAO.Instance.GetSubjectCategory(id, name);

        public SubjectCategory GetByName(string name) => SubjectCategoryDAO.Instance.GetSubjectCategory(name);

        public void Update(SubjectCategoryDTO subjectCategoryDTO) => SubjectCategoryDAO.Instance.UpdateSubjectCategory(_mapper.Map<SubjectCategory>(subjectCategoryDTO));
    }
}
