﻿using AutoMapper;
using BusinessLayer.IRepository;
using DataAccess.DAOs;
using DataAccess.DTOs.Request;
using DataAccess.DTOs.Response;
using DataAccess.Models;

namespace BusinessLayer.Repository
{
    public class SubjectRepository : ISubjectRepository
    {
        IMapper _mapper;

        public SubjectRepository(IMapper mapper)
        {
            _mapper = mapper;
        }
        
        public void Add(SubjectRequestDTO subjectDTO) => SubjectDAO.Instance.AddSubject(_mapper.Map<Subject>(subjectDTO));

        public void Delete(int id) => SubjectDAO.Instance.RemoveSubject(id);

        public List<SubjectResponseDTO> GetAll(int? status) => _mapper.Map<List<SubjectResponseDTO>>(SubjectDAO.Instance.GetSubjects(status));
 

        public SubjectResponseDTO GetById(int id, int? status) => _mapper.Map<SubjectResponseDTO>(SubjectDAO.Instance.GetSubject(id, status));

        public SubjectResponseDTO GetByName(int? id, string name) => _mapper.Map<SubjectResponseDTO>(SubjectDAO.Instance.GetSubject(id, name));

        public SubjectResponseDTO GetByName(string name) => _mapper.Map<SubjectResponseDTO>(SubjectDAO.Instance.GetSubject(name));

        public void Update(SubjectRequestDTO subjectDTO) => SubjectDAO.Instance.UpdateSubject(_mapper.Map<Subject>(subjectDTO));
    }
}
