﻿using AutoMapper;
using BusinessLayer.IRepository;
using DataAccess.DAOs;
using DataAccess.DTOs;
using DataAccess.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BusinessLayer.Repository
{
    public class UserRepository : IUserRepository
    {
        IMapper _mapper;

        public UserRepository(IMapper mapper)
        {
            _mapper = mapper;
        }

        public void Add(UserDTO userDTO) => UserDAO.Instance.AddUser(_mapper.Map<User>(userDTO));

        public void Delete(UserDTO userDTO) => UserDAO.Instance.RemoveUser(_mapper.Map<User>(userDTO));

        public UserDTO Get(string email, string pwd) => _mapper.Map<UserDTO>(UserDAO.Instance.GetUser(email, pwd));

        public List<UserDTO> GetAll() => _mapper.Map<List<UserDTO>>(UserDAO.Instance.GetUsers()); 

        public void Update(UserDTO userDTO) => UserDAO.Instance.UpdateUser(_mapper.Map<User>(userDTO));
    }
}
