﻿using DataAccess.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DataAccess.DAOs
{
    public class ExamDAO
    {
        private static ExamDAO instance = null;
        private static readonly object instanceLock = new object();
        private ExamDAO() { }
        public static ExamDAO Instance
        {
            get
            {
                lock (instanceLock)
                {
                    if (instance == null)
                        instance = new ExamDAO();
                }
                return instance;
            }
        }

        public List<Exam> GetExam()
        {
            var dbContext = new EosContext();
            return dbContext.Exams.ToList();
        }

        public void AddExam(Exam exam)
        {
            var dbContext = new EosContext();
            dbContext.Exams.Add(exam);
            dbContext.SaveChanges();
        }

        public void UpdateExam(Exam exam)
        {
            var dbContext = new EosContext();
            dbContext.Exams.Update(exam);
            dbContext.SaveChanges();
        }
    }
}
