﻿using DataAccess.Models;
using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DataAccess.DAOs
{
    public class ExamQuestionDAO
    {
        private static ExamQuestionDAO instance = null;
        private static readonly object instanceLock = new object();
        private ExamQuestionDAO() { }
        public static ExamQuestionDAO Instance
        {
            get
            {
                lock (instanceLock)
                {
                    if (instance == null)
                        instance = new ExamQuestionDAO();
                }
                return instance;
            }
        }

        public List<ExamQuestion> GetExamQuestion(int ExamID)
        {
            var dbContext = new EosContext();
            return dbContext.ExamQuestions.Include(_ => _.Question).Where(_ => _.ExamId == ExamID).ToList();
        }

        public void AddExamQuestion(ExamQuestion examQuestion)
        {
            var dbContext = new EosContext();
            dbContext.ExamQuestions.Add(examQuestion);
            dbContext.SaveChanges();
        }

        public void DeleteExamQuestion(int id)
        {
            var dbContext = new EosContext();
            var question = dbContext.ExamQuestions.Find(id);
            dbContext.ExamQuestions.Remove(question);
            dbContext.SaveChanges();
        }
    }
}
