﻿using DataAccess.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DataAccess.DAOs
{
    public class UserDAO
    {
        private static UserDAO instance = null;
        private static readonly object instanceLock = new object();
        private UserDAO() { }
        public static UserDAO Instance
        {
            get
            {
                lock (instanceLock)
                {
                    if (instance == null)
                        instance = new UserDAO();
                }
                return instance;
            }
        }

        public List<User> GetUsers()
        {
            var dbContext = new EosContext();
            return dbContext.Users.ToList();
        }

        public User GetUser(string email, string pwd)
        {
            var dbContext = new EosContext();
            return dbContext.Users.FirstOrDefault(_ => _.Status == 1 && _.Email.Equals(email) && _.Password.Equals(pwd));
        }

        public void AddUser(User user)
        {
            var dbContext = new EosContext();
            dbContext.Users.Add(user);
            dbContext.SaveChanges();
        }

        public void UpdateUser(User user)
        {
            var dbContext = new EosContext();
            dbContext.Users.Update(user);
            dbContext.SaveChanges();
        }

        public void RemoveUser(User user)
        {
            var dbContext = new EosContext();
            user.Status = 0;
            dbContext.Users.Update(user);
            dbContext.SaveChanges();
        }
    }
}
