USE [master]
GO
/****** Object:  Database [EOS]    Script Date: 18/06/2023 8:21:46 CH ******/
CREATE DATABASE [EOS]
 CONTAINMENT = NONE
 ON  PRIMARY 
( NAME = N'EOS', FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL15.SQLEXPRESS\MSSQL\DATA\EOS.mdf' , SIZE = 8192KB , MAXSIZE = UNLIMITED, FILEGROWTH = 65536KB )
 LOG ON 
( NAME = N'EOS_log', FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL15.SQLEXPRESS\MSSQL\DATA\EOS_log.ldf' , SIZE = 8192KB , MAXSIZE = 2048GB , FILEGROWTH = 65536KB )
 WITH CATALOG_COLLATION = DATABASE_DEFAULT
GO
ALTER DATABASE [EOS] SET COMPATIBILITY_LEVEL = 150
GO
IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
begin
EXEC [EOS].[dbo].[sp_fulltext_database] @action = 'enable'
end
GO
ALTER DATABASE [EOS] SET ANSI_NULL_DEFAULT OFF 
GO
ALTER DATABASE [EOS] SET ANSI_NULLS OFF 
GO
ALTER DATABASE [EOS] SET ANSI_PADDING OFF 
GO
ALTER DATABASE [EOS] SET ANSI_WARNINGS OFF 
GO
ALTER DATABASE [EOS] SET ARITHABORT OFF 
GO
ALTER DATABASE [EOS] SET AUTO_CLOSE ON 
GO
ALTER DATABASE [EOS] SET AUTO_SHRINK OFF 
GO
ALTER DATABASE [EOS] SET AUTO_UPDATE_STATISTICS ON 
GO
ALTER DATABASE [EOS] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO
ALTER DATABASE [EOS] SET CURSOR_DEFAULT  GLOBAL 
GO
ALTER DATABASE [EOS] SET CONCAT_NULL_YIELDS_NULL OFF 
GO
ALTER DATABASE [EOS] SET NUMERIC_ROUNDABORT OFF 
GO
ALTER DATABASE [EOS] SET QUOTED_IDENTIFIER OFF 
GO
ALTER DATABASE [EOS] SET RECURSIVE_TRIGGERS OFF 
GO
ALTER DATABASE [EOS] SET  ENABLE_BROKER 
GO
ALTER DATABASE [EOS] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO
ALTER DATABASE [EOS] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO
ALTER DATABASE [EOS] SET TRUSTWORTHY OFF 
GO
ALTER DATABASE [EOS] SET ALLOW_SNAPSHOT_ISOLATION OFF 
GO
ALTER DATABASE [EOS] SET PARAMETERIZATION SIMPLE 
GO
ALTER DATABASE [EOS] SET READ_COMMITTED_SNAPSHOT OFF 
GO
ALTER DATABASE [EOS] SET HONOR_BROKER_PRIORITY OFF 
GO
ALTER DATABASE [EOS] SET RECOVERY SIMPLE 
GO
ALTER DATABASE [EOS] SET  MULTI_USER 
GO
ALTER DATABASE [EOS] SET PAGE_VERIFY CHECKSUM  
GO
ALTER DATABASE [EOS] SET DB_CHAINING OFF 
GO
ALTER DATABASE [EOS] SET FILESTREAM( NON_TRANSACTED_ACCESS = OFF ) 
GO
ALTER DATABASE [EOS] SET TARGET_RECOVERY_TIME = 60 SECONDS 
GO
ALTER DATABASE [EOS] SET DELAYED_DURABILITY = DISABLED 
GO
ALTER DATABASE [EOS] SET ACCELERATED_DATABASE_RECOVERY = OFF  
GO
ALTER DATABASE [EOS] SET QUERY_STORE = OFF
GO
USE [EOS]
GO
/****** Object:  Table [dbo].[Question]    Script Date: 18/06/2023 8:21:46 CH ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Question](
	[QuestionID] [int] IDENTITY(1,1) NOT NULL,
	[CategoryID] [int] NOT NULL,
	[SubjectID] [int] NOT NULL,
	[Answer] [nvarchar](max) NOT NULL,
	[Status] [int] NOT NULL,
 CONSTRAINT [PK_Question] PRIMARY KEY CLUSTERED 
(
	[QuestionID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
/****** Object:  Table [dbo].[QuestionCategory]    Script Date: 18/06/2023 8:21:46 CH ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[QuestionCategory](
	[CategoryID] [int] IDENTITY(1,1) NOT NULL,
	[CategoryName] [nvarchar](50) NOT NULL,
	[Status] [int] NOT NULL,
 CONSTRAINT [PK_QuestionCategory] PRIMARY KEY CLUSTERED 
(
	[CategoryID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Subject]    Script Date: 18/06/2023 8:21:46 CH ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Subject](
	[SubjectID] [int] IDENTITY(1,1) NOT NULL,
	[CategoryID] [int] NOT NULL,
	[SubjectName] [nvarchar](100) NOT NULL,
	[Status] [int] NOT NULL,
 CONSTRAINT [PK_Subject] PRIMARY KEY CLUSTERED 
(
	[SubjectID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[SubjectCategory]    Script Date: 18/06/2023 8:21:46 CH ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[SubjectCategory](
	[CategoryID] [int] IDENTITY(1,1) NOT NULL,
	[CategoryName] [nvarchar](50) NOT NULL,
	[Status] [int] NOT NULL,
 CONSTRAINT [PK_SubjectCategory] PRIMARY KEY CLUSTERED 
(
	[CategoryID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[User]    Script Date: 18/06/2023 8:21:46 CH ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[User](
	[Email] [nvarchar](255) NOT NULL,
	[Password] [nvarchar](25) NOT NULL,
	[Fullname] [nvarchar](255) NULL,
	[Phone] [int] NULL,
	[Role] [int] NULL,
	[Status] [int] NULL,
 CONSTRAINT [PK_User] PRIMARY KEY CLUSTERED 
(
	[Email] ASC,
	[Password] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
ALTER TABLE [dbo].[Question]  WITH CHECK ADD  CONSTRAINT [FK_Question_QuestionCategory] FOREIGN KEY([CategoryID])
REFERENCES [dbo].[QuestionCategory] ([CategoryID])
GO
ALTER TABLE [dbo].[Question] CHECK CONSTRAINT [FK_Question_QuestionCategory]
GO
ALTER TABLE [dbo].[Question]  WITH CHECK ADD  CONSTRAINT [FK_Question_Subject] FOREIGN KEY([SubjectID])
REFERENCES [dbo].[Subject] ([SubjectID])
GO
ALTER TABLE [dbo].[Question] CHECK CONSTRAINT [FK_Question_Subject]
GO
ALTER TABLE [dbo].[Subject]  WITH CHECK ADD  CONSTRAINT [FK_Subject_SubjectCategory] FOREIGN KEY([CategoryID])
REFERENCES [dbo].[SubjectCategory] ([CategoryID])
GO
ALTER TABLE [dbo].[Subject] CHECK CONSTRAINT [FK_Subject_SubjectCategory]
GO
USE [master]
GO
ALTER DATABASE [EOS] SET  READ_WRITE 
GO
